Subject: Re: bug#12635: A usability issue with the save dialog box

From: Alex Hanif <[email-masked]>
Date: Sun, 14 Oct 2012 10:37:48 +0200

Thanks Eli, Andreas, Juri,
I have reviewed the design based on your suggestions. Please find the new
muckups with the design elaborations at the end of that blog post here:
http://user.wordpress.com/2012/10/13/emacs-has-a-confusing-save-dialogue-box/
Thank you,
+Alex Hanif
-----------------------
This message is confidential and copyrighted. The contents and
attachment(s) are solely intended for the explicitly mentioned
recipient(s). Forwarding, replying to another addresses, copying, printing
and distributing parts of it or as a whole in any form to any other person
or 3rd party is prohibited except with prior permission. If you are not the
intended recipient, please destroy all copies of the original message and
possible distributions and inform me.

On Sat, Oct 13, 2012 at 6:05 PM, Juri Linkov <[email-masked]> wrote:

> > Please let me know if I can help improve Emacs.
>
> The most user-friendly UI would tell the user what pressing the button
> will do exactly.  So instead of buttons "Yes"/"No", it would display
> more explicit text in buttons: "Save"/"Don't save" or "Save"/"Discard".
>
> OTOH, Emacs is special in this regard that actions in the dialog box
> have their counterparts in the non-GUI version where "y" and "n" are keys
> to save or skip the buffer.  With the goal to maintain compatibility
> between these two versions, the GUI version could provide accelerator keys
> in the button text like "_Y_es" and "_N_o".
>
> But in case when these versions will diverge from each other,
> and also for the final question
>
>   Modified buffers exist; exit anyway?
>
> still more explicit "Yes, discard changes"/"No, cancel" or
> "Yes, close without saving"/"No, cancel" would be better.
>
> "Don't quit" to cancel the dialog is very necessary, yes,
> but a link in a dialog box a quite non-standard element.
> Much simpler would be to just add the button "Cancel".
>
> Removing the option "View This Buffer" could be accompanied with
> displaying the buffer in question unconditionally (this suggestion
> pertains to the non-GUI version as well).
>
> Regarding the multi-file operation, some applications solve this problem
> by displaying a list of all unsaved files to help the user decide what
> to do with all of them.
>
> Emacs already does the same for running processes by displaying their list
> and asking a simple question:
>
>   Active processes exist; kill them and exit anyway? "Yes"/"No"
>
> I wonder why not to do the same for unsaved buffers?
>